# FrontBox

Dialog boxes for web designers as a jQuery plugin

## Overview

FrontBox is a pack of dialog boxes for web designers and web developers who are tired of inappropriate default javascript dialog boxes.

There are three kind of boxes in FrontBox dialog boxes pack:

Messages: alert, success, warning and error

Questions: yes_no and ok_cancel

Prompts: text and selection


## Install

After adding jQuery to your front page, you must add following files too.

jquery.frontbox-1.x.js

jquery.frontbox-1.x.css


## How to use

There is example.html which contain basic usages of this plugign, anyway, 
here is they way you can display an alert on the screen:

```js
(new FrontBox).alert("This is an alert!");
```

You can see the complete list of boxes above in overview section. 
next example shows how to display selection prompt (options: a, b and c) and how catch the answer:

```js
(new FrontBox).selection("Select one...","Selection",["a","b","c"]).callback(function(btn, ans){
    (new FrontBox).alert("You selected: " + ans);
});
```

## License

Copyright (c) 2015 [Afraware](http://afraware.com).
Licensed under the [MIT license](https://github.com/imakewebthings/waypoints/blob/master/licenses.txt).
